Attribute VB_Name = "modScreenRes"

' VISUAL BASIC WORLD
' ===========================================
' Das groe Portal zum Thema Visual Basic.
'
' Wenn Ihnen dieser Source Code gefallen hat,
' dann empfehlen Sie Visual Basic World bitte
' weiter und/oder setzen Sie einen Link auf:
'
' http://www.visualbasicworld.de/
'
' Vernetzen Sie sich mit uns:
'
' http://twitter.com/visualbasicwrld

Option Explicit

Private Declare Function EnumDisplaySettings Lib "user32" Alias _
   "EnumDisplaySettingsA" (ByVal lpszDeviceName As Long, _
   ByVal iModeNum As Long, lpDevMode As Any) As Boolean
   
Private Declare Function ChangeDisplaySettings Lib "user32" Alias _
   "ChangeDisplaySettingsA" (lpDevMode As Any, _
   ByVal dwFlags As Long) As Long
   
Private Const CCDEVICENAME = 32
Private Const CCFORMNAME = 32
Private Const DM_PELSWIDTH = &H80000
Private Const DM_PELSHEIGHT = &H100000
Private Const CDS_TEST = &H4

Private Type DevMode
    dmDeviceName As String * CCDEVICENAME
    dmSpecVersion As Integer
    dmDriverVersion As Integer
    dmSize As Integer
    dmDriverExtra As Integer
    dmFields As Long
    dmOrientation As Integer
    dmPaperSize As Integer
    dmPaperLength As Integer
    dmPaperWidth As Integer
    dmScale As Integer
    dmCopies As Integer
    dmDefaultSource As Integer
    dmPrintQuality As Integer
    dmColor As Integer
    dmDuplex As Integer
    dmYResolution As Integer
    dmTTOption As Integer
    dmCollate As Integer
    dmFormName As String * CCFORMNAME
    dmUnusedPadding As Integer
    dmBitsPerPel As Integer
    dmPelsWidth As Long
    dmPelsHeight As Long
    dmDisplayFlags As Long
    dmDisplayFrequency As Long
End Type

Sub Aufloesung_aendern_auf(ByVal Breite As Long, ByVal Hoehe As Long)
  
  Dim DeveloperMode As DevMode
  Dim RetVal As Long

    EnumDisplaySettings 0&, 0&, DeveloperMode
  
    With DeveloperMode
      .dmFields = DM_PELSWIDTH Or DM_PELSHEIGHT
      .dmPelsWidth = Breite
      .dmPelsHeight = Hoehe
    End With
  
    RetVal = ChangeDisplaySettings(DeveloperMode, CDS_TEST)
    
End Sub
